%global momorel 1
%global md5sum_src0 a9ab9f135d504440202069393dd9eb36

Summary: Utilities for the ncpfs filesystem, a NetWare client for Linux.
Name: ncpfs
Version: 2.2.6
Release: %{momorel}m
License:  GPL
%NoSource 0 http://ftp.cvut.cz/%{name}/%{name}-%{version}.tar.gz %{md5sum_src0}
Source1: mount.ncp
Patch0: ncpfs-2.2.4-gcc4.patch
Patch1: ncpfs-2.2.6-getuid.patch
Group: Applications/System
Requires: ipxutils
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Ncpfs is a filesystem which understands the Novell NetWare(TM) NCP
protocol.  Functionally, NCP is used for NetWare the way NFS is used
in the TCP/IP world.  For a Linux system to mount a NetWare
filesystem, it needs a special mount program.  The ncpfs package
contains such a mount program plus other tools for configuring and
using the ncpfs filesystem.

Install the ncpfs package if you need to use the ncpfs filesystem
to use Novell NetWare files or services.

%package -n ipxutils
Summary: Tools for configuring and debugging IPX interfaces and networks.
Group: Applications/System

%description -n ipxutils
The ipxutils package includes utilities for configuring and debugging
IPX interfaces and networks under Linux. IPX is the low-level protocol
used by Novell's NetWare file server system to transfer data.

Install ipxutils if you need to configure IPX networking on your network.

%prep
%setup -q

%patch0 -p1
%patch1 -p1

# why permitions is 311?
(
cd ..
chmod +r %{name}-%{version}
)

%build
chmod +w po/*.po
./configure --disable-pam --disable-function-sections \
            --prefix=%{_prefix} \
            --exec-prefix=%{_exec_prefix} \
            --bindir=%{_bindir} \
            --sbindir=%{_sbindir} \
            --sysconfdir=%{_sysconfdir} \
            --datadir=%{_datadir} \
            --includedir=%{_includedir} \
            --libdir=%{_libdir} \
            --libexecdir=%{_libexecdir} \
            --localstatedir=%{_localstatedir} \
            --sharedstatedir=%{_sharedstatedir} \
            --mandir=%{_mandir} \
            --infodir=%{_infodir}
#            %{_target_platform}
%ifnarch ppc
make CFLAGS_OPTIONS="%{optflags}"
make CFLAGS_OPTIONS="%{optflags}" -C ipxdump
%else
make
make -C ipxdump
%endif
mv ipxdump/README ipxdump/README.ipxdump

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/sbin
mkdir -p %{buildroot}%{_sbindir}
%makeinstall install-dev libsodir=%{buildroot}%{_libdir} libadir=%{buildroot}%{_libdir}

# Move ipx_configure/ipx_internal_net to permit /usr from NFS
for i in ipx_configure ipx_internal_net ipx_interface
do
	mv %{buildroot}%{_bindir}/$i %{buildroot}/sbin/$i
done

install -m755 ipxdump/ipxdump ipxdump/ipxparse %{buildroot}%{_bindir}/

# these could be SUID root, but it's a security hole
chmod 755 %{buildroot}%{_bindir}/ncpmount %{buildroot}%{_bindir}/ncpumount 
ln -sf mount.ncp %{buildroot}/sbin/mount.ncpfs
ln -sf ..%{_bindir}/ncpmount %{buildroot}/sbin/mount.ncp

# file list
find %{buildroot} -type f -or -type l | \
	grep -v ipx | grep -v mount.ncp.8| \
	sed -e "s|%{buildroot}||g" | \
	grep -v "%{_datadir}/locale" | \
	sed -e "s|%{_bindir}/nwsfind|%attr(4755,root,root) %{_bindir}/nwsfind|g" > rpm.files.tmp
touch rpm.files
cat rpm.files.tmp | while read filename;
do
	echo $filename | if grep ^%{_mandir} > /dev/null ; then
		echo $filename | sed -e 's/\.gz$/\.\*/' >> rpm.files
	else
		echo $filename >> rpm.files
	fi
done
rm -f rpm.files.tmp

# remove unpackaged files from the buildroot
rm -f %{buildroot}%{_includedir}/ncp/{ipxlib.h,kernel/ipx.h}
rm -f %{buildroot}%{_mandir}/man8/mount.ncp.8*

%find_lang %name

cat %{name}.lang >> rpm.files

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}
rm -f rpm.files

%files -f rpm.files
%defattr(-,root,root)
%doc BUGS COPYING Changes FAQ README 

%files -n ipxutils
%defattr(-,root,root)
%doc ipx-1.0/COPYING ipx-1.0/README
%doc ipxdump/README.ipxdump
/sbin/ipx_*
%{_bindir}/ipx*
%{_mandir}/man8/ipx*

%changelog
* Wed May 31 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (2.2.6-1m)
- update to 2.2.6
- modify patch1 for this version

* Sun May 28 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.2.5-4m)
- revise spec file for rpm-4.4.2

* Tue Dec 13 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (2.2.5-3m)
- remove unpackaged files

* Wed Nov  8 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (2.2.5-2m)
- add gcc4 patch
- Patch0: ncpfs-2.2.4-gcc4.patch
- Patch1: ncpfs-2.2.4-getuid.patch

* Thu Dec 16 2004 Mitsuru Shimamura <smbd@momonga-linux.org>
- (2.2.5-1m)
- up to 2.2.5
- [SECURITY] CAN-2004-1079
  ncpfs NWDSCreateContextHandleMnt Buffer Overflow Vulnerability 

* Thu Mar 06 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.2.2-2m)
- use configure instead of %%configure
- thanks to Kanji Naito [Momonga-devel.ja:01445]

* Tue Mar 04 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.2.2-1m)
- version up to 2.2.2
- change Source0 URI

* Mon Oct 29 2001 Toru Hoshina <t@kondara.org>
- (2.2.0.18-2k)
- version up.
- fixed URL.

* Thu Oct 18 2001 Toru Hoshina <t@kondara.org>
- (2.2.0.17-18k)
- rebuild against gettext 0.10.40.

* Fri Apr 20 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0.17-16k)
- add ppc support.

* Wed Apr  4 2001 Shingo Akagaki <dora@kondara.org>
- (2.2.0.17-15k)
- static link /lib/security module 

* Wed Apr  4 2001 Shingo Akagaki <dora@kondara.org>
- (2.2.0.17-13k)
- static link /usr/sbin program

* Fri Oct 27 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (2.2.0.17-9k)
- modified makking rpm.files script

* Wed Oct 23 2000 MATSUDA, Daiki <dyky@df-usa.com>
- fixed for bzip2ed man

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Sat Apr 29 2000 AYUHANA Tomonori <l@kondara.org>
- SPEC fixed ( Summary, description, BuildRoot, Source )
- Added %{optflags}

* Tue Apr 25 2000 tom <tom@kondara.org>
- don't catch /lib/security

* Thu Feb  3 2000 BIll Nottingham <notting@redhat.com>
- fix shared library

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description

* Tue Jan 11 2000 Bill Nottingham <notting@redhat.com>
- update to 2.2.0.17

* Thu Jul 15 1999 Bill Nottingham <notting@redhat.com>
- add patch to update to 2.2.0.16.a (#4051)

* Tue Jul  6 1999 Bill Nottingham <notting@redhat.com>
- oops, left ipx_interface out of %files

* Mon Jun 14 1999 Bill Nottingham <notting@redhat.com>
- update to 2.2.0.16
- fix mount.ncp USER arg

* Thu May 13 1999 Bill Nottingham <notting@redhat.com>
- update to 2.2.0.15

* Tue May 11 1999 Bill Nottingham <notting@redhat.com>
- update to 2.2.0.14
- fix bug in slist/nwsfind
- move ipxdump docs to the package that it's in...

* Tue Apr  6 1999 Bill Nottingham <notting@redhat.com>
- turn off setuid on nwsfind
- move ipxutils to using ncpfs versioning for sanity reasons

* Fri Mar 26 1999 Bill Nottingham <notting@redhat.com>
- doesn't work on alpha, apparently
- add a mount.ncp mount helper

* Mon Mar 22 1999 Bill Nottingham <notting@redhat.com>
- remove dangling symlink

* Tue Feb 23 1999 Bill Nottingham <notting@redhat.com>
- update to 2.2.0.12

* Fri Jan 22 1999 Bill Nottingham <notting@redhat.com>
- build for arm. Yuk.

* Wed Dec  9 1998 Bill Nottingham <notting@redhat.com>
- update to 2.2.0.11

* Fri Sep 11 1998 Jeff Johnson <jbj@redhat.com>
- update to 2.2.0.

* Fri Jul 10 1998 Jeff Johnson <jbj@redhat.com>
- exclusively i386 for now.

* Tue Jul  7 1998 Jeff Johnson <jbj@redhat.com>
- move ipx_configure/ipx_internal_net to /sbin to permit /usr from NFS.

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Apr 13 1998 Cristian Gafton <gafton@redhat.com>
- manhattan rebuild
- there is a new version out, 2.0.12, but it contains RSA crypto code, so
  it's of no use for us. :-(
- buildroot and spec file cleanup

* Thu Dec 18 1997 Erik Troan <ewt@redhat.com>
- uid_t, gid_t, mode_t fixes for glibc 2.0.5 and linux 2.0.x

* Wed Oct 23 1997 Michael Fulbright <msf@redhat.com>
- added a few file which were missing from the file list

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- updated to 2.0.11
- massive hacking for glibc

* Thu Mar 06 1997 Michael K. Johnson <johnsonm@redhat.com>
- nwrights program now included in package.
